#ifndef HSV_SLIDER_H
#define HSV_SLIDER_H

#include "Slider.h"
#include "SpinSlider.h"
#include "IColor.h"

class HSVSlider : public SpinSlider
{
 public:
	HSVSlider(BRect frame, char *label, BMessage *msg, float val);
	virtual void AttachedToWindow(void);
	virtual void DrawBar(void);
	virtual BRect BarFrame(void) const;

	//virtual void SetColors(hsv_color left, hsv_color right);

   void SetColorSaturation(float s);
   void SetColorValue(float v);
   void SetOffset(float o);

 private:
 	hsv_color m_left, m_right;
 	float m_value, m_saturation, m_offset;
};

#endif