#ifndef RGB_SLIDER_H
#define RGB_SLIDER_H

#include "Slider.h"
#include "SpinSlider.h"
#include "IColor.h"

class RGBSlider : public SpinSlider
{
 public:
	RGBSlider(BRect frame, char *label, BMessage *msg, uint8 val);
	virtual void AttachedToWindow(void);
	virtual void DrawBar(void);
	virtual BRect BarFrame(void) const;

	virtual void SetColors(rgb_color left, rgb_color right);

 private:
 	rgb_color m_left, m_right;
};

#endif