/*******************************************************
*   Inferno©
*   
*   This file may be used under the license as
*   stated below. For more information about License
*   types see the included LICENSE file. If you did 
*   not recive a copy of that file contact the author.
*   
*   @author  Frans van Nispen (xlr8@tref.nl)
*   @version beta 3
*   @date    December 2001
*   @license Inferno SDK Code
*
*******************************************************/
#ifndef _FILTER_TOOLS_H
#define _FILTER_TOOLS_H

void Filter3x3(	BRect r,
				int32 f11, int32 f12, int32 f13,
			 	int32 f21, int32 f22, int32 f23,
				int32 f31, int32 f32, int32 f33,
				int32 div, int32 bias,
				int32 progress_start = 0, int32 progress_end = 100,
				bool use_selection = true);

void Filter5x5(	BRect r,
				int32 f11, int32 f12, int32 f13, int32 f14, int32 f15,
			 	int32 f21, int32 f22, int32 f23, int32 f24, int32 f25,
				int32 f31, int32 f32, int32 f33, int32 f34, int32 f35,
				int32 f41, int32 f42, int32 f43, int32 f44, int32 f45,
				int32 f51, int32 f52, int32 f53, int32 f54, int32 f55,
				int32 div, int32 bias,
				int32 progress_start = 0, int32 progress_end = 100,
				bool use_selection = true);

#endif
